{% extends 'base.html.twig' %}

{% block icon %}fa fa-tachometer{% endblock %}
{% block title %}Tableau de bord{% endblock %}

{% block body %}
    <div style="width: 100%; height: 600px"><canvas id="graph-created"></canvas></div>
    <!--suppress TypeScriptUMDGlobal, JSUnusedAssignment -->
    <script>
        (async function() {
            moment.locale('fr_FR');

            function getDayChartLabels() {
                var dt = new Date;
                var labels = [];
                dt.setDate(dt.getDate() - 7);
                for (var i=7; i>0; i--) {
                    dt.setDate(dt.getDate() + 1);
                    labels.push(moment(dt).format('dddd'));
                }
                return labels;
            }

            const data = {{ chartData|json_encode|raw }};
            new Chart(
                document.getElementById('graph-created'),
                {
                    type: 'bar',
                    locale: 'fr_FR',
                    data: {
                        labels: getDayChartLabels(),
                        datasets: [
                            {
                                label: "Accords de versement",
                                data: data,
                                backgroundColor: '#90f69f',
                                borderWidth: 1,
                                parsing: {
                                    xAxisKey: 'day',
                                    yAxisKey: 'count_create_Agreement'
                                },
                                stack: 'Stack 0'
                            },
                            {
                                label: "Groupes d'étiquettes",
                                data: data,
                                backgroundColor: '#f69f90',
                                borderWidth: 1,
                                parsing: {
                                    xAxisKey: 'day',
                                    yAxisKey: 'count_create_LabelGroup'
                                },
                                stack: 'Stack 0'
                            },
                            {
                                label: "Étiquettes",
                                data: data,
                                backgroundColor: '#90e7f6',
                                borderWidth: 1,
                                parsing: {
                                    xAxisKey: 'day',
                                    yAxisKey: 'count_create_Label'
                                },
                                stack: 'Stack 0'
                            },
                            {
                                label: "Profils d'archives",
                                data: data,
                                backgroundColor: '#f6d290',
                                borderWidth: 1,
                                parsing: {
                                    xAxisKey: 'day',
                                    yAxisKey: 'count_create_Profile'
                                },
                                stack: 'Stack 0'
                            },
                            {
                                label: "Notices d'autorité",
                                data: data,
                                backgroundColor: '#9f90f6',
                                borderWidth: 1,
                                parsing: {
                                    xAxisKey: 'day',
                                    yAxisKey: 'count_create_Authority'
                                },
                                stack: 'Stack 1'
                            },
                            {
                                label: "Vocabulaires contrôlés",
                                data: data,
                                backgroundColor: '#e7f690',
                                borderWidth: 1,
                                parsing: {
                                    xAxisKey: 'day',
                                    yAxisKey: 'count_create_Vocabulary'
                                },
                                stack: 'Stack 1'
                            },
                            {
                                label: "Catégories",
                                data: data,
                                backgroundColor: '#f690e7',
                                borderWidth: 1,
                                parsing: {
                                    xAxisKey: 'day',
                                    yAxisKey: 'count_create_Category'
                                },
                                stack: 'Stack 1'
                            },
                            {
                                label: "Niveaux de service",
                                data: data,
                                backgroundColor: '#f690b4',
                                borderWidth: 1,
                                parsing: {
                                    xAxisKey: 'day',
                                    yAxisKey: 'count_create_ServiceLevel'
                                },
                                stack: 'Stack 1'
                            }
                            // autres couleurs en rab (même palette (Couleurs Analogues)) 90f6d2 90b4f6 d290f6
                        ]
                    },
                    options: {
                        plugins: {
                            title: {
                                display: true,
                                text: 'Nombre de créations dans la semaine'
                            }
                        },
                        scales: {
                            x: {
                                stacked: true,
                            },
                            y: {
                                stacked: true,
                                ticks: {
                                    precision: 0
                                }
                            }
                        },
                        responsive: true,
                        maintainAspectRatio: false,
                    }
                }
            );
        })();
    </script>
{% endblock %}
